Bug 445959 - system-config-language does not properly set locale
system-config-language does not properly set locale
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-10 11:26 EDT by Leon
Modified: 2008-12-08 01:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-08 01:45:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon 2008-05-10 11:26:26 EDT
On Fedora 8, I opened system-config-language and changed the language from
English (US) to English (Australia) and logged out and in after saving changes.
/etc/sysconfig/i18n is updated with LANG="en_AU.UTF-8" but when I do
echo $LANG
at a gnome-terminal I get en_US.UTF-8

This is annoying because dates (for example in Thunderbird) show up as
mm/dd/yyyy instead of the Australian format dd/mm/yyyy.

I'm not sure where to find logs for this but the bug has been around for a while
so it should be easy to reproduce.
Comment 1 Jens Petersen 2008-07-23 01:58:41 EDT
Can you reproduce this for a new user?  It sounds like you might have some
user settings overriding the system setting.
Comment 2 Pravin Satpute 2008-07-30 02:00:49 EDT
I tried this in rawhide and its working fine.
can you test it again, restart your machine after changing locale through s-c-l
and then check
Comment 3 Jens Petersen 2008-07-31 01:50:05 EDT
Leon, closing this for now - if you can still reproduce, kindly reopen this bug.
Comment 4 Leon 2008-11-02 11:41:33 EST
Hi, sorry about that, have only just upgraded to Fedora 9. It's still a problem (but it's got much better)

To reproduce:

1) Go System --> Administration --> Language
2) Select English (Australia) and click OK
3) Reboot (just to be absolutely sure)
4) Create a new user
5) Log in as that new user
6) Go to http://student.conferencing.eq.edu.au/conferencing/default.asp?select=2&TZ=9999
(an open Exchange server that I found)
Note that the dates for the classes (which are written using Javascript) are in American format (MM/DD/YYYY) instead of Australian format (DD/MM/YYYY - same as UK)

I believe (quite possibly erroneously) that the Language utility is not setting en_AU correctly. 

*What has changed since Fedora 8*:
Thunderbird dates work correctly now
echo $LANG does return en_AU

So it just seems like Firefox needs something extra done...
Comment 5 Bug Zapper 2008-11-26 05:40:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Leon 2008-11-30 11:08:15 EST
Still affects version 9. Don't know about Fedora 10 at this stage.
Comment 7 Pravin Satpute 2008-12-02 02:34:18 EST
http://student.conferencing.eq.edu.au/conferencing/default.asp?select=2&TZ=9999

here the date is o/p of the query send to webserver, and i dont think it is any how related with your locale.
It is depend upon the format used for your javascript date function. One can change format by using different date format functions.

It is not depend upon locale set.
you can try at you command prompt o/p of the date command if it is right then everything using that command should give proper o/p.
If it is not giving means application is not using same :)
Comment 8 Pravin Satpute 2008-12-08 01:45:46 EST
closing this for now!!

Note You need to log in before you can comment on or make changes to this bug.